org.apache.solr.servlet

## Class SolrRequestParsers

- java.lang.Object
- - org.apache.solr.servlet.SolrRequestParsers

-     public class SolrRequestParsers
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SolrRequestParsers` | `DEFAULT` Default instance for e.g.
    `static String` | `FORMDATA`
    `static String` | `INPUT_ENCODING_KEY`
    `static String` | `MULTIPART`
    `static String` | `RAW`
    `static String` | `REQUEST_TIMER_SERVLET_ATTRIBUTE`
    `static String` | `SIMPLE`
    `static String` | `STANDARD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrRequestParsers(SolrConfig globalConfig)` Pass in an xml configuration.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrQueryRequest` | `buildRequestFrom(SolrCore core, SolrParams params, Collection<ContentStream> streams)`
    `boolean` | `isAddRequestHeadersToContext()`
    `boolean` | `isHandleSelect()`
    `SolrQueryRequest` | `parse(SolrCore core, String path, javax.servlet.http.HttpServletRequest req)`
    `static MultiMapSolrParams` | `parseQueryString(String queryString)` Given a url-encoded query string (UTF-8), map it into solr params
    `void` | `setAddRequestHeadersToContext(boolean addRequestHeadersToContext)`
    `void` | `setHandleSelect(boolean handleSelect)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MULTIPART

          public static final String MULTIPART

      See Also:
        Constant Field Values

    - #### FORMDATA

          public static final String FORMDATA

      See Also:
        Constant Field Values

    - #### RAW

          public static final String RAW

      See Also:
        Constant Field Values

    - #### SIMPLE

          public static final String SIMPLE

      See Also:
        Constant Field Values

    - #### STANDARD

          public static final String STANDARD

      See Also:
        Constant Field Values

    - #### INPUT_ENCODING_KEY

          public static final String INPUT_ENCODING_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_TIMER_SERVLET_ATTRIBUTE

          public static final String REQUEST_TIMER_SERVLET_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final SolrRequestParsers DEFAULT

      Default instance for e.g. admin requests. Limits to 2 MB uploads and does not allow remote streams.

  - ### Constructor Detail

    - #### SolrRequestParsers

          public SolrRequestParsers(SolrConfig globalConfig)

      Pass in an xml configuration. A null configuration will enable everything with maximum values.

  - ### Method Detail

    - #### parse

          public SolrQueryRequest parse(SolrCore core,
                                        String path,
                                        javax.servlet.http.HttpServletRequest req)
                                 throws Exception

      Throws:
        `Exception`

    - #### buildRequestFrom

          public SolrQueryRequest buildRequestFrom(SolrCore core,
                                                   SolrParams params,
                                                   Collection<ContentStream> streams)
                                            throws Exception

      Throws:
        `Exception`

    - #### parseQueryString

          public static MultiMapSolrParams parseQueryString(String queryString)

      Given a url-encoded query string (UTF-8), map it into solr params

    - #### isHandleSelect

          public boolean isHandleSelect()

    - #### setHandleSelect

          public void setHandleSelect(boolean handleSelect)

    - #### isAddRequestHeadersToContext

          public boolean isAddRequestHeadersToContext()

    - #### setAddRequestHeadersToContext

          public void setAddRequestHeadersToContext(boolean addRequestHeadersToContext)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.